edu.msu.cme.rdp.classifier.train.validation.movingwindow

## Class MainMovingWindow

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.movingwindow.MainMovingWindow

    public class MainMovingWindow
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MainMovingWindow(java.lang.String taxFile, java.lang.String inFile, java.lang.String testFile, java.lang.String outFile, java.lang.String ecoliFile, int begin, int end, int min_bootstrap_words)` Creates a new instance of MainMovingWindow

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `getBeginIndex()`
`java.util.ArrayList` `getWindowFrame(java.lang.String ecoliFile)`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MainMovingWindow

    public MainMovingWindow(java.lang.String taxFile,
                            java.lang.String inFile,
                            java.lang.String testFile,
                            java.lang.String outFile,
                            java.lang.String ecoliFile,
                            int begin,
                            int end,
                            int min_bootstrap_words)
                     throws java.io.IOException

Creates a new instance of MainMovingWindow

Throws:
  `java.io.IOException`

### Method Detail

#### getBeginIndex

    public static int getBeginIndex()

#### getWindowFrame

    public java.util.ArrayList getWindowFrame(java.lang.String ecoliFile)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

Throws:
  `java.io.IOException`